Skip to content

Accounting Remarks

Request

Accounting remarks are optional remarks that are added to the PNR and typically used by an agency's back office system in some way. The remarks can include ticket numbers, customer or account numbers, fares offered to the customer but refused, and canned remarks that document fare rules. Accounting remarks replace the back office accounting remarks in AirReservation prior to version 11.

Security
bearerAuth
Path
ReservationResource_Identifierstring, <= 128 charactersrequired

The Reservation Identifier you wish to add accounting information

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
Headers
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/json

Add Accounting Remarks request payload.

@typestringrequired

Discriminator classes AccountingID or Accounting

Value:"Accounting"
Example:"Accounting"
Discriminator
idstring
AccountingRefstring

Accounting reference

Identifierobject(Identifier)

A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

dataTypestring, <= 32 characters

Accounting data type. When used as Accounting remark designator the accepted value is DOCI.

Example:"DateTime"
templatestring, <= 512 characters

Accounting template

Example:"Internal Finance template"
NameValuePairArray of objects, <= 50 items(NameValuePair)

'Defines the type of accounting-specific remark (name) and the remark itself (value). Send the following in "name" for each type of remark: DYO - Design Your Own Itinerary FS - Fare Saver CR - Canned Remarks TK - Ticket Number Details AC - Agent, Account, or Branch Details AR - Replace Sign On Code X* - Back Office Accounting Details FT - Free Text For remark text "value", please note character limits for each type of remark: DYO - 2 digit, numeric FS - 9 characters total limit in format 1 (all numeric) or format 2 (numeric “–“ two alpha) CR - 42 characters total limit in format (two numeric "." two numeric "." etc) TK - 8 to 12 characters in format 1 (all numeric) or format 2 (numeric “-“ three numeric) AC - 42 characters, alphanumeric and some special characters AR - 10 characters, alphanumeric X* - 84 characters, alphanumeric and some special characters FT - 84 characters, alphanumeric and some special characters'

curl -i -X POST \
  https://api.pp.travelport.net/11/air/book/accounting/reservationworkbench/49f58f5f-c443-43b4-9f5d-be405fd00a01/accountings \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "@type": "Accounting",
    "id": "accounting_1",
    "AccountingRef": "accounting_1",
    "dataType": "DOCI",
    "NameValuePair": [
      {
        "value": "INV123456",
        "name": "AC"
      }
    ]
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
AccountingResponseobject(AccountingResponse)

The response of an Accounting endpoint request.

Response
{ "AccountingResponse": { "Accounting": null, "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }